Windows Product Activation overview

Microsoft Windows Graphic

What is Windows Product Activation?

Due to piracy and other forms of unauthorized use, users cannot always be sure that they have a genuine copy of Windows XP. The goal of product activation is to reduce a form of piracy known as casual copying or "softlifting". Casual copying is the sharing and installation of software that is not in compliance with the software's end user license agreement, or EULA, and is estimated to contribute to half of all pirated installations. Microsoft developed Product Activation for Windows to help ensure that each Windows XP license is installed in compliance with the EULA and is not installed on more than the limited number (usually one) of computers allowed by the product EULA. We have worked to make it as easy as possible to activate a licensed installation of Windows XP.

To learn more about Microsoft's licensing policies, open EULA.

During software installation, the setup wizard prompts you to enter a product key usually located on the back of the Windows CD-ROM folder. The product key is a 25 character alphanumeric code shown in five groups of five characters each (for example, BCDFG-12345-HJKLM-67890-NPQRS). Keep the product key in a safe location and do not share it with others. This product key forms the basis for your ability to install and use Windows.

The product key also forms the basis for the product ID that is created when Windows XP is installed. Each licensed instance of Windows XP has a unique Product ID. The Product ID has 20 characters arranged like this: 12345-123-1234567-12345. It is listed in the properties for My Computer.

For purposes of product activation only, a non-unique hardware identifier is also created from general information that is included in the system components. At no time are files on the hard drive scanned, nor is personally-identifiable information of any kind used to create the hardware identifier. Product activation is completely anonymous. To ensure your privacy, the hardware identifier is created by what is known as a "one-way hash". To produce a one-way hash, information is processed through an algorithm to create a new alphanumeric string. It is impossible to calculate the original information from the resulting string.

The hardware identifier is used together with the product ID to create a unique installation ID. Whether you choose to activate by using an Internet connection or by speaking with a Microsoft customer service representative, the installation ID is the only piece of information required to activate Windows XP.

If you activate via an Internet connection, the installation ID is sent automatically. When you decide to activate over the Internet, Windows attempts to establish an online connection to Microsoft by way of the Internet. If you do not subscribe to an Internet Service Provider but do have a modem connected to a phone line, the wizard detects the modem and attempts to make a direct connection to Microsoft.

If an online connection cannot be established, you are prompted to contact a customer service representative by telephone. In that message, the installation ID is displayed to you. The customer service representative will ask you to read the installation ID over the telephone.

Activation is completely anonymous; no personally identifiable information is required. The installation ID records an association of the product ID to your computer and a confirmation is sent back. The product key can now be used to install Windows on that computer an unlimited number of times. However, if you need to install Windows on a different computer using that product key, you might need to contact a Microsoft customer service representative by telephone.

Until you have activated your copy of Windows XP, an Activate icon appears in the system tray. You can click on the icon to initiate activation. This icon will not appear in the system tray after you have activated Windows XP.

You have a 30-day grace period in which to activate your Windows product installation. If the grace period expires and you have not completed activation, all features of Windows XP except the product activation feature will stop working.

Note

  • To view the EULA, click Start, point to Programs, point to Accessories, and then click Windows Explorer. Double-click the systemroot folder (usually windows), click Show Files if necessary, and then double-click the System32 folder. Click Show Files, and then scroll down and double-click eula.txt.
  • For the most recently updated information regarding Windows Product Activation, see Microsoft web site. (http://www.microsoft.com/)


How to...

  • Activate Windows on the Internet
  • Activate Windows by modem
  • Activate Windows by phone
  • Activate Windows via Microsoft Text Telephone


Activate Windows on the Internet

Microsoft Windows Graphic

To activate Windows on the Internet

  1. The Windows Product Activation Wizard is located in System Tools. XOX, then click Activate Windows.
  2. Follow the activation instructions that appear on your screen.

Notes

  • Alternatively, you can open the Windows Product Activation Wizard by clicking Start, then Run, and then typing "oobe/msoobe /a".
  • You can use your Internet connection to activate, or activate and register, your copy of Windows. Activation is required within 30 days of installation.
  • If you choose not to activate Windows now, reminders will appear periodically during the next 30 days. After that time has expired, you will be required to activate in order to continue to use Windows.
  • If you have not yet activated Windows XP, you can do so at any time by clicking the Windows Activation icon in the system tray to initiate activation. Once you have activated Windows XP, this icon disappears from the system tray.
  • If you do not have an Internet connection, but do have a modem, click here.
  • If you have neither an Internet connection or a modem, click here for instructions on how to contact a customer service representative by phone.

Related Topics


Activate Windows with your modem

Microsoft Windows graphic

To activate Windows with your modem

  1. The Windows Product Activation Wizard is located in System Tools. XOX, then click Activate Windows.
  2. Follow the activation instructions that appear on your screen.

Notes

  • Alternatively, you can open the Windows Product Activation wizard by clicking Start, then Run, and type in "oobe/msoobe /a".
  • Even without Internet service, you can use your modem to activate, or activate and register, your copy of Windows.
  • If you choose not to activate now, reminders will appear periodically during the next 30 days. After that time has expired, you will be required to activate in order to continue to use Windows.
  • If you have not yet activated Windows XP, you can initiate activation at any time by clicking the Windows Activation icon in the system tray. Once you have activated Windows XP, this icon disappears from the system tray.

Related Topics


Activate Windows by phone

Microsoft Windows Graphic

To activate Windows by phone

  1. The Windows Product Activation Wizard is located in System Tools. XOX, then click Activate Windows.
  2. Follow the activation instructions that appear on your screen.

Notes

  • Alternatively, you can open the Windows Product Activation wizard by clicking Start, then Run, and type in "oobe/msoobe /a".
  • If you do not have a modem or an Internet connection, you can activate your copy of Windows by calling a Microsoft customer service representative. Activating Windows is fast and does not require your name or other personal information.
  • If you have not yet activated Windows XP, you can initiate activation at any time by clicking the Windows Activation icon in the system tray. Once you have activated Windows XP, this icon disappears from the system tray.If you choose not to activate now, reminders will appear periodically during the next 30 days. After that time has expired, you will be required to activate in order to continue to use Windows.

Related Topics


Activate using Microsoft Text Telephone

Microsoft Windows Graphic

To activate using Microsoft Text Telephone

  1. Dial (800) 718-1599 on your TT/TTY modem in the United States.
  2. Once you are connected to Microsoft, you will be guided by on-screen instructions for activation.

Note

  • Microsoft Text Telephone (TT/TTY) services are available for individuals who are deaf or hard-of-hearing.
  • From outside the United States, dial United States number (716) 871-6859, using your TT/TTY modem, and then follow the on-screen instructions for activation.
  • TT/TTY service is available only in English.

Related Topics


Concepts

Microsoft Windows graphic

Concepts...

  • Understanding activation and registration
  • Windows activation privacy policy
  • Understanding Product Keys


Understanding activation and registration

There are important distinctions between activating your Windows operating system and registering it.

Product activation and product registration are not the same. Activation is completely anonymous; it requires absolutely no personally identifiable information to complete. Activation is required and ensures that each Windows product is not installed on more than the limited number (usually one) of computers allowed in the software's end user license agreement, or EULA.

During activation, you can also register your copy of Windows. Registration is not required; however registering your copy ensures that you receive product support, product update information, and other benefits. The process registration takes only a few minutes to complete. Personal information (for example, "contact" information such as an email address) is required if you decide to register.

You have a 30-day grace period in which to activate your Windows product installation. If the grace period expires and you have not completed activation, all features will stop working except the product activation feature.

Notes

  • If you have not yet activated Windows XP, you can do so at any time by clicking the Windows Activation icon in the system tray to initiate activation. Once you have activated Windows XP, this icon disappears from the system tray.
  • In addition, there are other ways to open the Windows Product Activation Wizard:
    • XOX, then click Activate Windows.
    • Alternatively, click Start, then Run, and then type "oobe/msoobe /a".
      • .
  • For more information on product registration for Windows, open the Registration Wizard by clicking Start, then click Run. In the Open box, type "regwiz /r".


Windows Product Activation privacy policy

Microsoft Windows graphic

Windows XP Product Activation privacy policy

For information about Microsoft's privacy policy, see Information about privacy on Microsoft.com (http://www.microsoft.com/).


Understanding product keys

Product keys are required for all versions of Windows XP, for all languages, and for both 32-bit and 64-bit versions. Product keys are 25-character alphanumeric strings that are formatted in groups of five characters, separated by dashes. You must enter the product key during Setup to complete the installation. (If you acquired your computer from an Original Equipment Manufacturer, the manufacturer may have preconfigured the product key for the Windows XP software that is preinstalled on the computer).

Windows XP requires you to keep your product keys always available for your use and in a secure place. You must use only the product key assigned to this installation of Windows XP if you ever need to reinstall the operating system. If you attempt to use a product key from another Microsoft product, a beta program, or a different version of Windows XP, your installation will fail.

Each product key can only be used to install the software on a certain number of unique computers. The actual number of computers depends on your End User License Agreement. If you have received more than one product key, it is essential that you keep track of which product key you use to install the Windows XP operating system on each computer.

Automating the product key entry during Windows Product Activation

If you perform an unattended Setup, you can automate entry of the product key. In the [UserData] section of your unattended answer file, include the value of your product key in the ProductKey entry. For more information, see the Microsoft Windows Preinstallation Reference, located in \Support\Tools\deploy.cab on the Windows CD.

Windows XP provides two methods to automate activation.

If you perform an unattended Setup, you can configure the installation to activate automatically during Windows Welcome or Mini-Setup. For more information on unattended Setup, please see the Microsoft Windows Preinstallation Reference, located in \Support\Tools\deploy.cab on the Windows CD.

You can also use script activation through the Windows Product Activation WMI (Windows Management Instrumentation), which provides a number of useful query and activation methods.